Summary:	Email synchronization program to/from the Palm OS
Name:		pilot-mailsync
Version:	0.9.2
Release:	%{mkrel 2}
License:	MPLv1.0
Source0:	http://www.garcke.de/PMS/%{name}-%{version}.tar.bz2
# Work around a build problem caused by some includes issues
# - AdamW 2008/09
Patch0:		pilot-mailsync-0.9.2-configh.patch
# Look for libs in /usr/lib64 as well as /usr/lib - AdamW 2008/09
Patch1:		pilot-mailsync-0.9.2-lib64.patch
URL:		http://www.garcke.de/PMS/
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	sendmail-command
Requires:	gnome-pilot
BuildRequires:	pilot-link-devel
BuildRequires:	openssl-devel
BuildRequires:	gnome-pilot-devel
BuildRequires:	gnome-devel
BuildRequires:	pam-devel
BuildRequires:	bison
BuildRequires:	libtool

%description
Pilot-Mailsync is an application to transfer outgoing mail from and deliver
incoming mail to a Palm OS device. pilot-mailsync relies on the libraries
installed by pilot-link.

%prep
%setup -q
%patch0 -p1 -b .configh
%patch1 -p1 -b .lib64

%build
autoconf
sed -i -e 's,-DHAVE_CONFIG_H,,g' configure
export CFLAGS="$CFLAGS -fPIC"
export CPPFLAGS="$CPPFLAGS -fPIC"
%configure2_5x --enable-gpilot
make

%install
rm -rf %{buildroot}

# Create installation root folders
mkdir -p %{buildroot}%{_libdir}/gnome-pilot/conduits/
mkdir -p %{buildroot}%{_datadir}/gnome-pilot/conduits/

make prefix=%{buildroot}%{_prefix} \
	GNOMEPILOTCONDUITDIR=%{buildroot}%{_libdir}/gnome-pilot/conduits/ gplugin_install

install -m 644 mailsync.conduit %{buildroot}%{_datadir}/gnome-pilot/conduits/

%files
%defattr(-,root,root)
%{_datadir}/gnome-pilot/conduits/mailsync.conduit
%{_libdir}/gnome-pilot/conduits/libgnome_mailsync_conduit.so
%defattr(644,root,root,755)
%doc README INSTALL docs/*

%clean
rm -rf %{buildroot}



%changelog
* Sun Sep 07 2008 Adam Williamson <awilliamson@mandriva.com> 0.9.2-2mdv2009.0
+ Revision: 282369
- buildrequires libtool (?! should that be necessary?)
- add -fPIC to compile flags (needed on x86-64)
- buildrequires gnome-devel
- add lib64.patch - fix x86_64 build by checking /usr/lib64 as well as /usr/lib
- comment configh.patch
- drop unnecessary defines
- add configh.patch (work around a problem with includes)
- correct license
- clean spec

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix no-buildroot-tag
    - BuildPrereq is obsolete; use BuildRequires
    - kill re-definition of %%buildroot on Pixel's request
    - import pilot-mailsync


* Tue Jan 03 2006 Lenny Cartier <lenny@mandriva.com> 0.9.2-1mdk
- 0.9.2

* Tue Dec 30 2003 Franck Villaume <fvill@freesurf.fr> 0.8.0.2-2mdk
- clean BuildPrereq for 64bits
- add bison BuildRequires
- %%{_prefix}/lib -> %%{_libdir}
- %%{_prefix}/share -> %%{_datadir}

* Wed Aug 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0.2-1mdk
- from  Alexandre Aractingi <aaractingi@libertysurf.fr>

* Fri Apr 24 2003 Alexandre Aractingi <aaractingi@libertysurf.fr>
- updated to 0.7.3 - CVS from April 24th, 2003

* Fri Dec 06 2002 Alexandre Aractingi <aaractingi@libertysurf.fr>
- updated to 0.7.1 - CVS from December 6th, 2002

* Fri Nov 22 2002 Alexandre Aractingi <aaractingi@libertysurf.fr>
- updated to build gpilot plugin
- updated to 0.7.1 - CVS

* Sat Jun  9 2001 Hollis Blanchard <hollis@austin.rr.com>
- updated email address
- updated to 0.6
- configure is no longer fake

* Sun Mar 25 2001 Hollis Blanchard <hollis@andrew.cmu.edu>
- updated to use fake configure

* Thu Mar 22 2001 Hollis Blanchard <hollis@andrew.cmu.edu>
- updated for 0.5.2
- included openssl-devel nd bison in BuildPrereq's

* Wed Sep 20 2000 Hollis Blanchard <hollis@andrew.cmu.edu>
- added defattr

* Mon Jul 24 2000 Hollis Blanchard <hollis@andrew.cmu.edu>
- initial spec
